This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 822805 - [abrt] java-1.7.0-openjdk-1.7.0.3-2.1.fc17.6: Process /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/bin/java was killed by signal 11 (SIGSEGV)
[abrt] java-1.7.0-openjdk-1.7.0.3-2.1.fc17.6: Process /usr/lib/jvm/java-1.7.0...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: java-1.7.0-openjdk (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Krzysztof Daniel
Fedora Extras Quality Assurance
abrt_hash:cbb55286a968fa94935dc6300dc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-18 04:42 EDT by Krzysztof Daniel
Modified: 2014-01-12 19:27 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:18:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: open_fds (12.19 KB, text/plain)
2012-05-18 04:42 EDT, Krzysztof Daniel
no flags Details
File: dso_list (32.58 KB, text/plain)
2012-05-18 04:42 EDT, Krzysztof Daniel
no flags Details
File: build_ids (5.93 KB, text/plain)
2012-05-18 04:42 EDT, Krzysztof Daniel
no flags Details
File: var_log_messages (4.71 KB, text/plain)
2012-05-18 04:42 EDT, Krzysztof Daniel
no flags Details
File: maps (106.32 KB, text/plain)
2012-05-18 04:43 EDT, Krzysztof Daniel
no flags Details
File: backtrace (87.51 KB, text/plain)
2012-05-18 04:43 EDT, Krzysztof Daniel
no flags Details

  None (edit)
Description Krzysztof Daniel 2012-05-18 04:42:46 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/java -Xms512m -Xmx1024m -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Dorg.eclipse.swt.browser.UseWebKitGTK=true -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/python/pydev/ui/filetypes/FileTypesPreferencesPage,getDottedValidSourceFiles -XX:MaxPermSize=256m -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20120308-1358.jar -os linux -ws gtk -arch x86_64 -showsplash /usr/lib64/eclipse//plugins/org.eclipse.platform_4.2.0.v20120424-1332/splash.bmp -launcher /usr/lib64/eclipse/eclipse -name Eclipse --launcher.library /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.200.v20120426-1529/eclipse_1503.so -startup /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20120308-1358.jar --launcher.overrideVmargs -exitdata 3b40040 -preventMasterEclipseLaunch -vm /usr/bin/java -vmargs -Xms512m -Xmx1024m -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Dorg.eclipse.swt.browser.UseWebKitGTK=true -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/python/pydev/ui/filetypes/FileTypesPreferencesPage,getDottedValidSourceFiles -XX:MaxPermSize=256m -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20120308-1358.jar
executable:     /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/bin/java
kernel:         3.3.4-5.fc17.x86_64
pid:            3853
pwd:            /home/kdaniel/Documents
time:           Fri 18 May 2012 10:28:29 AM CEST
uid:            1000
username:       kdaniel

backtrace:      Text file, 89606 bytes
build_ids:      Text file, 6068 bytes
dso_list:       Text file, 33358 bytes
maps:           Text file, 108875 bytes
open_fds:       Text file, 12485 bytes
var_log_messages: Text file, 4826 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/kdaniel/20

core_backtrace:
:- 0x0 - - -
:- 0x0 - - -

environ:
:XDG_VTNR=2
:SSH_AGENT_PID=2325
:XDG_SESSION_ID=20
:HOSTNAME=kdanielX220Fedora
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/bash
:TERM=dumb
:XDG_SESSION_COOKIE=a99885e8b2e98e326ea891170000001b-1337319811.886386-603363819
:HISTSIZE=1000
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/kdaniel/.gtkrc-2.0:/home/kdaniel/.gtkrc-2.0-kde4:/home/kdaniel/.kde/share/config/gtkrc-2.0
:GS_LIB=
:GNOME_KEYRING_CONTROL=/run/user/kdaniel/keyring-xQLoRi
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:KDE_FULL_SESSION=true
:IMSETTINGS_MODULE=none
:USER=kdaniel
:SSH_AUTH_SOCK=/tmp/ssh-yxHhOSIY2201/agent.2201
:USERNAME=kdaniel
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/kdaniel/.local/bin:/home/kdaniel/bin
:DESKTOP_SESSION=kde-plasma
:MAIL=/var/spool/mail/kdaniel
:QT_IM_MODULE=xim
:PWD=/home/kdaniel
:XMODIFIERS=@im=none
:KDE_SESSION_UID=1000
:GNOME_KEYRING_PID=2197
:LANG=en_US.utf8
:KDE_IS_PRELINKED=1
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=kde-plasma
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/kdaniel
:SHLVL=2
:KDE_SESSION_VERSION=4
:LOGNAME=kdaniel
:CVS_RSH=ssh
:QTLIB=/usr/lib64/qt-3.3/lib
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-VRFqdna6O4,guid=32cc29ffc3cdc539a3be32520000c776
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/kdaniel
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/kdaniel/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/:/usr/lib/kde4/plugins
:GTK_IM_MODULE=gtk-im-context-simple
:XAUTHORITY=/tmp/kde-kdaniel/xauth-1000-_0
:_=/usr/libexec/kde4/start_kdeinit_wrapper
:KDE_MULTIHEAD=false
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2410,unix/unix:/tmp/.ICE-unix/2410
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/kdaniel/.gtkrc:/home/kdaniel/.kde/share/config/gtkrc
:XCURSOR_THEME=default
:DESKTOP_STARTUP_ID=kdanielX220Fedora;1337320308;900372;2423_TIME51558807

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 62809                processes 
:Max open files            4096                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       62809                62809                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us
Comment 1 Krzysztof Daniel 2012-05-18 04:42:50 EDT
Created attachment 585360 [details]
File: open_fds
Comment 2 Krzysztof Daniel 2012-05-18 04:42:53 EDT
Created attachment 585361 [details]
File: dso_list
Comment 3 Krzysztof Daniel 2012-05-18 04:42:55 EDT
Created attachment 585362 [details]
File: build_ids
Comment 4 Krzysztof Daniel 2012-05-18 04:42:57 EDT
Created attachment 585363 [details]
File: var_log_messages
Comment 5 Krzysztof Daniel 2012-05-18 04:43:00 EDT
Created attachment 585364 [details]
File: maps
Comment 6 Krzysztof Daniel 2012-05-18 04:43:02 EDT
Created attachment 585365 [details]
File: backtrace
Comment 7 Krzysztof Daniel 2012-06-14 08:48:42 EDT
Deepak, 
could you look at this one and tell where to start investigation at Eclipse side?
Comment 8 Deepak Bhole 2012-06-22 15:56:16 EDT
Hi Kris, can you reproduce this? Given that there are only 2 frames, it seems unlikely that the VM could be the cause, more likely that the binary launcher has an issue (assuming Eclipse still uses a binary launcher?)
Comment 9 Krzysztof Daniel 2012-06-25 03:09:06 EDT
I think I can reproduce this issue on demand. The steps are simple. Install Eclipse and use Eclipse web browser. Eclipse crashes pretty fast after that (although not always).
Comment 10 Deepak Bhole 2012-06-25 09:58:30 EDT
If you run Eclipse and do a ps aux, you should be able to see the full java command it runs.

The best first step then is to install the debuginfo for the JDK and run 'java' under GDB with those args to start Eclipse and then make it crash. That should give you the ability to inspect not just the stack, but also the variable values that led to the crash.
Comment 11 Fedora End Of Life 2013-07-04 01:58:44 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2013-08-01 13:18:49 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.